# wxStdDialogButtonSizer Class Reference
[Window Layout]

`#include <wx/sizer.h>`

Inheritance diagram for wxStdDialogButtonSizer:
[legend]

## Detailed Description

This class creates button layouts which conform to the standard button spacing and ordering defined by the platform or toolkit's user interface guidelines (if such things exist).

By using this class, you can ensure that all your standard dialogs look correct on all major platforms. Currently it conforms to the Windows, GTK+ and Mac OS X human interface guidelines.

When there aren't interface guidelines defined for a particular platform or toolkit, wxStdDialogButtonSizer reverts to the Windows implementation.

To use this class, first add buttons to the sizer by calling wxStdDialogButtonSizer::AddButton (or wxStdDialogButtonSizer::SetAffirmativeButton, wxStdDialogButtonSizer::SetNegativeButton or wxStdDialogButtonSizer::SetCancelButton) and then call Realize in order to create the actual button layout used. Other than these special operations, this sizer works like any other sizer.

If you add a button with wxID_SAVE, on Mac OS X the button will be renamed to "Save" and the wxID_NO button will be renamed to "Don't Save" in accordance with the Mac OS X Human Interface Guidelines.

##

Library: wxCore

Category: Window Layout

See also:
  wxSizer, Sizers Overview, wxDialog::CreateButtonSizer

## Public Member Functions
| wxStdDialogButtonSizer ()
| Constructor for a wxStdDialogButtonSizer.
void | AddButton (wxButton *button)
| Adds a button to the wxStdDialogButtonSizer.
void | Realize ()
| Rearranges the buttons and applies proper spacing between buttons to make them match the platform or toolkit's interface guidelines.
void | SetAffirmativeButton (wxButton *button)
| Sets the affirmative button for the sizer.
void | SetCancelButton (wxButton *button)
| Sets the cancel button for the sizer.
void | SetNegativeButton (wxButton *button)
| Sets the negative button for the sizer.

List of all members.

## Constructor & Destructor Documentation

wxStdDialogButtonSizer::wxStdDialogButtonSizer | ( |  | ) |

Constructor for a wxStdDialogButtonSizer.

## Member Function Documentation

void wxStdDialogButtonSizer::AddButton | ( | wxButton * | button | ) |

Adds a button to the wxStdDialogButtonSizer.

The button must have one of the following identifiers:

- wxID_OK
- wxID_YES
- wxID_SAVE
- wxID_APPLY
- wxID_CLOSE
- wxID_NO
- wxID_CANCEL
- wxID_HELP
- wxID_CONTEXT_HELP

void wxStdDialogButtonSizer::Realize | ( |  | ) |

Rearranges the buttons and applies proper spacing between buttons to make them match the platform or toolkit's interface guidelines.

void wxStdDialogButtonSizer::SetAffirmativeButton | ( | wxButton * | button | ) |

Sets the affirmative button for the sizer.

This allows you to use identifiers other than the standard identifiers outlined above.

void wxStdDialogButtonSizer::SetCancelButton | ( | wxButton * | button | ) |

Sets the cancel button for the sizer.

This allows you to use identifiers other than the standard identifiers outlined above.

void wxStdDialogButtonSizer::SetNegativeButton | ( | wxButton * | button | ) |

Sets the negative button for the sizer.

This allows you to use identifiers other than the standard identifiers outlined above.

|  | [ top ]